# -*- coding: utf-8 -*-
### BEGIN LICENSE
# Copyright (C) 2010 Jose Ernesto Davila Pantoja <josernestodavila@ubuntu.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import os
import gtk
import gobject

from pizzabashlog.pizzabashlogconfig import getdatapath
from pizzabashlog.helpers import get_builder

import gettext
from gettext import gettext as _
gettext.textdomain('pizzabashlog')

class SelectdistroDialog(gtk.Dialog):
    __gtype_name__ = "SelectdistroDialog"

    def __new__(cls):
        """Special static method that's automatically called by Python when 
        constructing a new instance of this class.
        
        Returns a fully instantiated SelectdistroDialog object.
        """
        builder = get_builder('SelectdistroDialog')
        new_object = builder.get_object('selectdistro_dialog')
        new_object.finish_initializing(builder)
        return new_object

    def finish_initializing(self, builder):
        """Called when we're finished initializing.

        finish_initalizing should be called after parsing the ui definition
        and creating a SelectdistroDialog object with it in order to
        finish initializing the start of the new SelectdistroDialog
        instance.
        """
        # Get a reference to the builder and set up the signals.
        self.builder = builder
        self.builder.connect_signals(self)
        
        #Agregar un combobox con nombres de las distros más usadas en .ni
        store = gtk.ListStore(gobject.TYPE_STRING)
        store.append(['Ubuntu'])
        store.append(['Debian'])
        store.append(['Fedora'])
        store.append(['openSuSE'])
        store.append(['Mandriva'])
        store.append(['No Aplica'])
        
        self.combo = self.builder.get_object("combobox1")
        self.combo.set_model(store)
        cell = gtk.CellRendererText()
        self.combo.pack_start(cell, True)
        self.combo.add_attribute(cell, 'text', 0)
        self.combo.set_active(0)

    def ok(self, widget, data=None):
        """The user has elected to save the changes.

        Called before the dialog returns gtk.RESONSE_OK from run().
        """
        pass

    def cancel(self, widget, data=None):
        """The user has elected cancel changes.

        Called before the dialog returns gtk.RESPONSE_CANCEL for run()
        """
        pass
    
    @property
    def get_distro(self):
        return self.builder.get_object("combobox1").get_active_text()

def NewSelectdistroDialog():
    """NewSelectdistroDialog - returns a fully instantiated
    dialog-camel_case_nameDialog object. Use this function rather than
    creating SelectdistroDialog instance directly.
    
    """

    #look for the ui file that describes the ui
    ui_filename = os.path.join(getdatapath(), 'ui', 'SelectdistroDialog.ui')
    if not os.path.exists(ui_filename):
        ui_filename = None

    builder = gtk.Builder()
    builder.add_from_file(ui_filename)    
    dialog = builder.get_object("selectdistro_dialog")
    dialog.finish_initializing(builder)
    return dialog

if __name__ == "__main__":
    dialog = SelectdistroDialog()
    dialog.show()
    gtk.main()
