# -*- coding: utf-8 -*-
### BEGIN LICENSE
# Copyright (C) 2010 Jose Ernesto Davila Pantoja <josernestodavila@ubuntu.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import gtk

from pizzabashlog.helpers import get_builder

import gettext
from gettext import gettext as _
gettext.textdomain('pizzabashlog')

class ViewgraphDialog(gtk.Dialog):
    __gtype_name__ = "ViewgraphDialog"

    def __new__(cls):
        """Special static method that's automatically called by Python when 
        constructing a new instance of this class.
        
        Returns a fully instantiated ViewgraphDialog object.
        """
        builder = get_builder('ViewgraphDialog')
        new_object = builder.get_object('viewgraph_dialog')
        new_object.finish_initializing(builder)
        return new_object

    def finish_initializing(self, builder):
        """Called when we're finished initializing.

        finish_initalizing should be called after parsing the ui definition
        and creating a ViewgraphDialog object with it in order to
        finish initializing the start of the new ViewgraphDialog
        instance.
        """
        # Get a reference to the builder and set up the signals.
        self.builder = builder
        self.builder.connect_signals(self)

    def ok(self, widget, data=None):
        """The user has elected to save the changes.

        Called before the dialog returns gtk.RESONSE_OK from run().
        """
        pass

    def cancel(self, widget, data=None):
        """The user has elected cancel changes.

        Called before the dialog returns gtk.RESPONSE_CANCEL for run()
        """
        pass
    
    def set_image_file(self, value):
        self.builder.get_object("graph").set_from_file(value)
    set_graph = property(fget = None, fset = set_image_file)
        
if __name__ == "__main__":
    dialog = ViewgraphDialog()
    dialog.show()
    gtk.main()
